Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Mark dune as a non-build dependency #14266

Merged
merged 4 commits into from Jul 13, 2019

Conversation

@kit-ty-kate
Copy link
Contributor

commented Jun 10, 2019

One possible fix for #14185

Accepting the merge this is going to be painful for a lot of users. I'm not really looking forward to this but I feel like we have only a few choices:

  • Either merge this PR and accept we'll annoy and loose users every time dune gets updated.
  • Change the behaviour of {build} in opam itself to make it only rebuild on downgrades
  • Fix the problem in dune and disable the affected versions (@diml would you know which versions are affected?)

I'm basically rewording @AltGr's comment here (see ocaml/opam#3850 (comment)). See there and in the issue above for further context and discussions.

cc @avsm

Note: I'm going to cancel manually all the CI run for this PR so that it doesn't take all the CI time available

@camelus

This comment has been minimized.

Copy link
Contributor

commented Jun 10, 2019

🌩 opam-lint errors 943b688
  • cohttp.1.1.1 has errors:

    • error 57: Synopsis and description must not be both empty
  • gapi-ocaml.0.3.7 has errors:

    • error 52: Package is needlessly flagged "light-uninstall", since it has no remove instructions
  • lbvs_consent.2.0.0 has errors:

    • error 57: Synopsis and description must not be both empty
  • markup.0.8.1 has errors:

    • error 3: File format error in 'url.checksum' at line 53, column 50: while expecting checksum: (Invalid_argument OpamHash.of_string)
  • mccs.1.1+9 has errors:

    • error 57: Synopsis and description must not be both empty
  • mdx.1.0.0 has errors:

    • error 52: Package is needlessly flagged "light-uninstall", since it has no remove instructions
  • mirage-conduit.3.1.0 has errors:

    • error 57: Synopsis and description must not be both empty
  • mirage-xen.3.2.0 has errors:

    • error 43: Conjunction used in 'conflicts:' field. Only '|' is allowed
  • mirage-xen.3.3.0 has errors:

    • error 43: Conjunction used in 'conflicts:' field. Only '|' is allowed
  • mirage-xen.3.4.0 has errors:

    • error 43: Conjunction used in 'conflicts:' field. Only '|' is allowed
  • ocamlfuse.2.7.1-cvs6 has errors:

    • error 52: Package is needlessly flagged "light-uninstall", since it has no remove instructions
  • tensorboard.0.0.1 has errors:

    • error 57: Synopsis and description must not be both empty
  • tip-parser.0.5 has errors:

    • error 57: Synopsis and description must not be both empty
    • warning 58: Found doc variable, predefined one is with-doc
  • Packages with warnings: amqp-client.2.0.3, aws-s3-lwt.4.0.0, aws-s3-lwt.4.0.1, aws-s3-lwt.4.1.0, color.0.2.0, combinat.1.0, csv-lwt.2.1, csv.2.1, dokeysto.3.0.0, dokeysto_camltc.3.0.0, dokeysto_lz4.3.0.0, exenum.0.86, iter.1.2.1, json_decoder.0.1.1, lpd.1.2.2, malfunction.0.3, mechaml.1.1.0, mirage-nat.1.1.0, mpris-clients.0.2.0, mpris.0.2.0, npy.0.0.8, ocaml-migrate-parsetree.1.1.0, opam-client.2.0.2, opam-client.2.0.3, opam-client.2.0.4, opam-core.2.0.2, opam-core.2.0.3, opam-core.2.0.4, opam-devel.2.0.2, opam-devel.2.0.3, opam-devel.2.0.4, opam-format.2.0.2, opam-format.2.0.3, opam-format.2.0.4, opam-installer.2.0.2, opam-installer.2.0.3, opam-installer.2.0.4, opam-repository.2.0.2, opam-repository.2.0.3, opam-repository.2.0.4, opam-solver.2.0.2, opam-solver.2.0.3, opam-solver.2.0.4, opam-state.2.0.2, opam-state.2.0.3, opam-state.2.0.4, osx-secure-transport.0.1.1, ppx_jsobject_conv.0.6.0, ppx_protocol_conv.3.1.0, ppx_protocol_conv.3.1.1, ppx_yojson.0.1.0, qcheck-alcotest.0.9, qcheck-core.0.9, qcheck-ounit.0.9, qcheck.0.9, rtop.3.3.5, rtop.3.3.7, rtop.3.4.0, semver2.1.0.0, spelll.0.3, syslog.2.0.0, toml.5.0.0, uritemplate.0.1.0, xenstore_transport.1.1.0, zeit.0.1.0

  • These packages passed lint tests: 0install.2.14.1, 0install.2.14, ANSITerminal.0.8.1, DrawGrammar.0.2.2, General.0.6.0, JsOfOCairo.2.0.0, acgtk.1.4.0, acgtk.1.5.0, ahrocksdb.0.2.0, ahrocksdb.0.2.1, ahrocksdb.0.2.2, aifad.2.2.1, aifad.2.2.2, alcotest-async.0.8.5, alcotest-lwt.0.8.5, alcotest.0.8.5, alt-ergo-lib.2.3.0, alt-ergo-parsers.2.3.0, altgr-ergo.2.3.0, amqp-client-async.2.0.3, amqp-client-async.2.1.0, amqp-client-lwt.2.0.3, amqp-client-lwt.2.1.0, amqp-client.2.1.0, angstrom-async.0.11.1, angstrom-async.0.11.2, angstrom-lwt-unix.0.11.1, angstrom-lwt-unix.0.11.2, angstrom-unix.0.11.1, angstrom-unix.0.11.2, angstrom.0.11.1, angstrom.0.11.2, arp-mirage.1.0.0, arp-mirage.2.0.0, arp.1.0.0, arp.2.0.0, asak.0.1, async.v0.12.0, async_durable.v0.12.0, async_extra.v0.12.0, async_find.v0.12.0, async_graphics.0.7.0, async_inotify.v0.12.0, async_interactive.v0.12.0, async_js.v0.12.0, async_kernel.v0.12.0, async_rpc_kernel.v0.12.0, async_sendfile.v0.12.0, async_shell.v0.12.0, async_smtp.v0.12.0, async_ssl.v0.12.0, async_unix.v0.12.0, aws-s3-async.4.0.0, aws-s3-async.4.0.1, aws-s3-async.4.1.0, aws-s3-async.4.2.0, aws-s3-async.4.3.0, aws-s3-async.4.4.0, aws-s3-lwt.4.2.0, aws-s3-lwt.4.3.0, aws-s3-lwt.4.4.0, aws-s3.4.0.0, aws-s3.4.0.1, aws-s3.4.1.0, aws-s3.4.2.0, aws-s3.4.3.0, aws-s3.4.4.0, base.v0.12.0, base.v0.12.1, base.v0.12.2, base64.2.3.0, base64.3.0.0, base64.3.1.0, base64.3.2.0, base_bigstring.v0.12.0, base_quickcheck.v0.12.0, benchmark.1.6, bigarray-compat.1.0.0, bignum.v0.12.0, bigstringaf.0.5.0, bimage-gtk.0.1, bimage-unix.0.1, bimage.0.1, bin_prot.v0.12.0, biocaml.0.9.0, bisect_ppx.1.4.0, bisect_ppx.1.4.1, bitcoinml.0.4.1, bitlib.1.0, bloomf.0.1.0, bst.6.0.0, bst.6.1.0, bst.7.0.0, bun.0.3.3, bwrap.0.1, bytepdf.0.1, cairo2-gtk.0.6.1, cairo2-gtk.0.6, cairo2-pango.0.6.1, cairo2-pango.0.6, cairo2.0.6.1, cairo2.0.6, calculon-web.0.4, calculon.0.4, camelsnakekebab.0.4, camltc.0.9.8, capnp-rpc-lwt.0.3.2, capnp-rpc-mirage.0.3.2, capnp-rpc-unix.0.3.2, capnp-rpc.0.3.2, capnp.3.3.0, caqti-async.1.0.0, caqti-driver-mariadb.1.0.0, caqti-driver-mariadb.1.1.0, caqti-driver-postgresql.1.0.0, caqti-driver-postgresql.1.1.0, caqti-driver-sqlite3.1.0.0, caqti-dynload.1.0.0, caqti-lwt.1.0.0, caqti-type-calendar.1.0.0, caqti.1.0.0, caqti.1.1.0, cconv-ppx.0.5, cconv.0.5, cfg.2.2.0, cfg.2.2.1, charInfo_width.0.1.0, charInfo_width.1.0.0, charInfo_width.1.1.0, charrua-client-lwt.0.11.2, charrua-client-lwt.0.12.0, charrua-client-lwt.1.0.0, charrua-client-mirage.0.11.2, charrua-client-mirage.0.12.0, charrua-client-mirage.1.0.0, charrua-client.0.11.2, charrua-client.0.12.0, charrua-client.1.0.0, charrua-core.0.11.2, charrua-core.0.12.0, charrua-server.1.0.0, charrua-unix.0.11.2, charrua-unix.0.12.0, charrua-unix.1.0.0, charrua.1.0.0, checkseum.0.0.3, checkseum.0.1.0, cinaps.v0.12.0, clangml.4.0.0beta1, clarity.0.4.0, codept.0.10.3, cohttp-async.1.1.1, cohttp-async.1.2.0, cohttp-async.2.0.0, cohttp-async.2.1.1, cohttp-async.2.1.3, cohttp-lwt-jsoo.1.1.1, cohttp-lwt-jsoo.1.2.0, cohttp-lwt-jsoo.2.0.0, cohttp-lwt-jsoo.2.1.3, cohttp-lwt-unix.1.1.1, cohttp-lwt-unix.1.2.0, cohttp-lwt-unix.2.0.0, cohttp-lwt-unix.2.1.3, cohttp-lwt.1.1.1, cohttp-lwt.1.2.0, cohttp-lwt.2.0.0, cohttp-lwt.2.1.3, cohttp-mirage.1.1.1, cohttp-mirage.1.2.0, cohttp-mirage.2.0.0, cohttp-mirage.2.1.0, cohttp-mirage.2.1.1, cohttp-mirage.2.1.3, cohttp-top.1.1.1, cohttp-top.1.2.0, cohttp-top.2.0.0, cohttp-top.2.1.3, cohttp.1.2.0, cohttp.2.0.0, cohttp.2.1.2, cohttp.2.1.3, coin.0.1.1, command_rpc.v0.12.0, conduit-async.1.3.0, conduit-async.1.4.0, conduit-lwt-unix.1.3.0, conduit-lwt-unix.1.4.0, conduit-lwt.1.3.0, conduit-lwt.1.4.0, conduit.1.3.0, conduit.1.4.0, conex-nocrypto.0.10.0, conex-nocrypto.0.10.1, conex.0.10.0, conex.0.10.1, containers.2.4.1, containers.2.4, containers.2.5, containers.2.6, coq-serapi.8.9.0+0.6.0, coq-serapi.8.9.0+0.6.1, core.v0.12.0, core.v0.12.1, core.v0.12.2, core.v0.12.3, core_bench.v0.12.0, core_extended.v0.12.0, core_kernel.v0.12.0, core_kernel.v0.12.1, core_kernel.v0.12.2, core_profiler.v0.12.0, cow.2.4.0, cpm.5.0.0, cpm.6.0.0, cpm.7.0.0, cpm.8.0.0, cpm.9.0.0, cppo.1.6.6, cppo_ocamlbuild.1.6.6, cpuid.0.1.2, crlibm.0.3, crlibm.0.4, crontab.0.1, crunch.2.2.0, crunch.3.0.0, cstruct-async.3.3.0, cstruct-async.3.4.0, cstruct-async.3.5.0, cstruct-async.3.6.0, cstruct-async.3.7.0, cstruct-async.4.0.0, cstruct-async.5.0.0, cstruct-lwt.3.3.0, cstruct-lwt.3.4.0, cstruct-lwt.3.5.0, cstruct-lwt.3.6.0, cstruct-lwt.3.7.0, cstruct-lwt.4.0.0, cstruct-lwt.5.0.0, cstruct-sexp.4.0.0, cstruct-sexp.5.0.0, cstruct-unix.3.3.0, cstruct-unix.3.4.0, cstruct-unix.3.5.0, cstruct-unix.3.6.0, cstruct-unix.3.7.0, cstruct-unix.4.0.0, cstruct-unix.5.0.0, cstruct.3.3.0, cstruct.3.4.0, cstruct.3.5.0, cstruct.3.6.0, cstruct.3.7.0, cstruct.4.0.0, cstruct.5.0.0, csv-lwt.2.2, csv.2.2, csvfields.v0.12.0, curve-sampling.0.1, cviode.0.0.3, dataframe.0.1, datakit-bridge-github.0.12.2, datakit-bridge-github.0.12.3, datakit-bridge-local-git.0.12.2, datakit-bridge-local-git.0.12.3, datakit-ci.0.12.2, datakit-ci.0.12.3, datakit-ci.0.12.4, datakit-client-9p.0.12.2, datakit-client-9p.0.12.3, datakit-client-git.0.12.2, datakit-client-git.0.12.3, datakit-client.0.12.2, datakit-client.0.12.3, datakit-github.0.12.2, datakit-github.0.12.3, datakit-server-9p.0.12.2, datakit-server-9p.0.12.3, datakit-server.0.12.2, datakit-server.0.12.3, datakit.0.12.2, datakit.0.12.3, decoders-ezjsonm.0.1.2, decoders-ezjsonm.0.2.0, decoders-yojson.0.1.2, decoders-yojson.0.2.0, decoders.0.1.2, decoders.0.2.0, decompress.0.8.1, decompress.0.9.0, delimited_parsing.v0.12.0, devkit.1.0, diet.0.2, diet.0.3, digestif.0.7.1, digestif.0.7.2, digestif.0.7.3, digestif.0.7, disml.0.2.5, dispatch-js.0.4.1, dispatch.0.4.1, dns-async.1.1.0, dns-async.1.1.1, dns-lwt-unix.1.1.0, dns-lwt-unix.1.1.1, dns-lwt.1.1.0, dns-lwt.1.1.1, dns.1.1.0, dns.1.1.1, docker-api.0.2.1, docker-api.0.2, dockerfile-cmd.6.0.0, dockerfile-cmd.6.1.0, dockerfile-cmd.6.1.1, dockerfile-cmd.6.2.0, dockerfile-opam.6.0.0, dockerfile-opam.6.1.0, dockerfile-opam.6.1.1, dockerfile-opam.6.2.0, dockerfile.6.0.0, dockerfile.6.1.0, dockerfile.6.1.1, dockerfile.6.2.0, dokeysto.3.0.1, dokeysto_camltc.3.0.1, dokeysto_lz4.3.0.1, dolmen.0.4, domain-name.0.1.2, domain-name.0.2.0, domain-name.0.2.1, domain-name.0.3.0, dtoa.0.3.2, duff.0.2, dune-release.1.0.0, dune-release.1.0.1, dune-release.1.1.0, dune-release.1.2.0, dune-release.1.3.0, dune-release.1.3.1, dune-release.1.3.2, duration.0.1.2, earley.2.0.0, earlybird.0.1.0, earlybird.0.1.1, earlybird.0.1.2, earlybird.0.1.3, earlybird.0.1.4, easy_logging.0.1, easy_logging.0.2, easy_logging.0.3, easy_logging.0.4, easy_logging_yojson.0.4, ecaml.v0.12.0, edn.0.1.6-1-gff9db95, eigen.0.1.0, eigen.0.1.1, eigen.0.1.2, eigen.0.1.3, elasticsearch-cli.0.5, elasticsearch-cli.1.0, elasticsearch-cli.1.1, electrod.0.2.1, elpi.1.4.0, elpi.1.4.1, elpi.1.5.2, email_message.v0.12.0, emile.0.4, encore.0.2, encore.0.3, eqaf.0.2, eqaf.0.3, eqaf.0.4, eqaf.0.5, esgg.20190322, ethernet.1.0.0, ethernet.2.0.0, expect_test_helpers.v0.12.0, expect_test_helpers_kernel.v0.12.0, ezjsonm-lwt.1.0.0, ezjsonm-lwt.1.1.0, ezjsonm.1.0.0, ezjsonm.1.1.0, ezsqlite.0.4.1, ezsqlite.0.4, ezxmlm.1.1.0, fat-filesystem.0.13.0, fftw3.0.8.2, fiat-p256.0.1.0, fieldslib.v0.12.0, fix.20181206, fluent-logger.1.1.0, freetds.0.7, functoria-runtime.2.2.2, functoria-runtime.2.2.4, functoria.2.2.2, functoria.2.2.3, functoria.2.2.4, gapi-ocaml.0.3.10, gapi-ocaml.0.3.11, gapi-ocaml.0.3.12, gapi-ocaml.0.3.8, gapi-ocaml.0.3.9, gemini.0.1, gemini.0.2.0, gen.0.5.2, get_line.4.0.1, get_line.5.0.0, get_line.6.0.0, git-http.2.0.0, git-http.2.1.0, git-mirage.2.0.0, git-mirage.2.1.0, git-unix.2.0.0, git-unix.2.1.0, git.2.0.0, git.2.1.0, github-hooks-unix.0.4.0, github-hooks.0.4.0, github-jsoo.4.0.0, github-jsoo.4.1.0, github-unix.4.0.0, github.4.0.0, glfw-ocaml.3.2.1-1, glfw-ocaml.3.2.1-2, glfw-ocaml.3.2.1, glfw-ocaml.3.2.1~rc1, glfw-ocaml.3.2.1~rc2, gmap.0.2.1, gmap.0.3.0, google-drive-ocamlfuse.0.6.26, google-drive-ocamlfuse.0.7.1, google-drive-ocamlfuse.0.7.2, google-drive-ocamlfuse.0.7.3, google-drive-ocamlfuse.0.7.4, google-drive-ocamlfuse.0.7.5, google-drive-ocamlfuse.0.7.6, gpr.1.4.0, gpr.1.4.1, graphql-async.0.8.0, graphql-async.0.9.0, graphql-cohttp.0.10.0, graphql-cohttp.0.12.0, graphql-cohttp.0.12.1, graphql-cohttp.0.9.0, graphql-lwt.0.8.0, graphql-lwt.0.9.0, graphql.0.8.0, graphql.0.9.0, graphql_parser.0.11.0, graphql_parser.0.12.2, graphql_parser.0.9.0, gsl.1.24.0, h2-lwt-unix.0.1.0, h2-lwt-unix.0.2.0, h2-lwt-unix.0.3.0, h2-lwt.0.1.0, h2-lwt.0.2.0, h2-lwt.0.3.0, h2-mirage.0.1.0, h2-mirage.0.2.0, h2-mirage.0.3.0, h2.0.1.0, h2.0.2.0, h2.0.3.0, hardcaml.v0.12.0, hardcaml_waveterm.v0.12.0, hashids.1.0.1, hdf5.0.1.5, headache.1.04, hex.1.3.0, hex.1.4.0, hidapi.1.1.1, hidapi.1.1, hkdf.1.0.3, horned_worm.0.3.4, horned_worm.0.3.5, hpack.0.1.0, hpack.0.2.0, hts_shrink.1.0.0, hts_shrink.2.0.0, hts_shrink.2.1.0, httpaf-async.0.6.0, httpaf-lwt-unix.0.6.0, httpaf.0.6.0, hxd.0.1.0, i3ipc.0.1.4, i3ipc.0.2, icalendar.0.1.0, icalendar.0.1.1, icalendar.0.1.2, idd.0.1, incr_dom.v0.12.0, incr_dom_keyboard.v0.12.0, incr_dom_partial_render.v0.12.0, incr_dom_widgets.v0.12.0, incr_map.v0.12.0, incr_select.v0.12.0, incremental.v0.12.0, influxdb-async.0.1.0, influxdb-async.0.2.0, influxdb-lwt.0.1.0, influxdb-lwt.0.2.0, influxdb.0.1.0, influxdb.0.2.0, integers.0.3.0, interface-prime-lwt.0.1, interface-prime.0.1, interval_base.1.5.1, interval_base.1.5, interval_crlibm.1.5.1, interval_crlibm.1.5, interval_intel.1.5.1, interval_intel.1.5, io-page-unix.2.1.0, io-page-unix.2.2.0, io-page-xen.2.1.0, io-page-xen.2.2.0, io-page.2.1.0, io-page.2.2.0, ipaddr.2.9.0, ipaddr.3.0.0, ipaddr.3.1.0, irmin-watcher.0.4.0, irmin-watcher.0.4.1, iso639.0.0.4, iter.1.2, jane-street-headers.v0.12.0, jerboa.0.1, jhupllib.0.2.1, jingoo.1.3.0, js_of_ocaml-compiler.3.3.0, js_of_ocaml-compiler.3.4.0, js_of_ocaml-lwt.3.3.0, js_of_ocaml-lwt.3.4.0, js_of_ocaml-ppx.3.3.0, js_of_ocaml-ppx.3.4.0, js_of_ocaml-ppx_deriving_json.3.3.0, js_of_ocaml-ppx_deriving_json.3.4.0, js_of_ocaml-toplevel.3.3.0, js_of_ocaml-toplevel.3.4.0, js_of_ocaml-tyxml.3.3.0, js_of_ocaml-tyxml.3.4.0, js_of_ocaml.3.3.0, js_of_ocaml.3.4.0, jst-config.v0.12.0, junit.2.0.1, junit_alcotest.2.0.1, junit_ounit.2.0.1, jupyter-archimedes.2.3.2, jupyter-kernel.0.4, jupyter.2.3.2, jupyter.2.3.3, jupyter.2.3.4, jupyter.2.3.5, jupyter.2.4.0, jupyter.2.5.0, jwto.0.1.4, jwto.0.2.0, ke.0.1, ke.0.2, ke.0.3, key-parsers.0.10.0, key-parsers.0.10.1, kicadsch.0.4.0, kicadsch.0.5.0, kicadsch.0.5.1, kinetic-client.0.0.11, lablgtk3-gtkspell3.3.0.beta5, lablgtk3-gtkspell3.3.0.beta6, lablgtk3-sourceview3.3.0.beta4, lablgtk3-sourceview3.3.0.beta5, lablgtk3-sourceview3.3.0.beta6, lablgtk3.3.0.beta4, lablgtk3.3.0.beta5, lablgtk3.3.0.beta6, lablqml.0.6, labrys.0.1, lacaml.11.0.2, lacaml.11.0.3, lacaml.11.0.4, lambda-term.2.0.1, lambda-term.2.0, landmarks.1.3, launchd.1.3, lazy-trie.1.2.0, lbfgs.0.9.1, lbfgs.0.9.2, lbvs_consent.2.0.1, lbvs_consent.2.1.0, learn-ocaml.0.10, line-up-words.v0.12.0, linenoise.1.2.0, linenoise.1.3.0, links-postgresql.0.8, links.0.8, logical.0.1.0, logs-async-reporter.1.0, logs-async.1.0, logs-async.1.1, logs-syslog.0.2.0, logs-syslog.0.2.1, lru.0.3.0, lwt-dllist.1.0.0, lwt.4.2.0, lwt.4.2.1, lwt_ppx.1.2.2, lwt_react.1.1.2, lz4_chans.1.0.0, lz4_chans.2.0.0, macaddr.3.0.0, macaddr.3.1.0, magic-mime.1.1.1, markup-lwt.0.5.0, markup.0.8.0, mastodon-archive-viewer.0.2, mastodon-archive-viewer.0.3, matplotlib.0.1, mccs.1.1+5, mccs.1.1+6, mccs.1.1+8, md2mld.0.2.0, md2mld.0.3.0, mdx.1.2.0, mdx.1.3.0, mdx.1.4.0, merge-fmt.0.1, merlin-extend.0.4, merlin.3.2.1, merlin.3.2.2, merlin.3.3.0, merlin.3.3.1, mesh-easymesh.0.9.5, mesh-graphics.0.9.5, mesh-triangle.0.9.5, mesh.0.9.5, metrics-lwt.0.1.0, metrics-unix.0.1.0, metrics.0.1.0, mindstorm-lwt.0.8, mindstorm.0.8, minicli.5.0.0, minicli.5.0.1, minisat.0.2, mirage-block-lwt.1.2.0, mirage-block-unix.2.11.0, mirage-block-unix.2.11.1, mirage-block-unix.2.11.2, mirage-block-xen.1.6.0, mirage-block-xen.1.6.1, mirage-block-xen.1.6.2, mirage-block.1.2.0, mirage-bootvar-unix.0.1.0, mirage-bootvar-xen.0.6.0, mirage-channel-lwt.3.2.0, mirage-channel.3.2.0, mirage-clock-freestanding.2.0.0, mirage-clock-lwt.2.0.0, mirage-clock-unix.2.0.0, mirage-clock.2.0.0, mirage-conduit.1.3.0, mirage-console-lwt.2.4.0, mirage-console-lwt.2.4.1, mirage-console-lwt.2.4.2, mirage-console-lwt.2.4.3, mirage-console-unix.2.4.1, mirage-console-unix.2.4.2, mirage-console-unix.2.4.3, mirage-console-xen-backend.2.4.0, mirage-console-xen-backend.2.4.1, mirage-console-xen-backend.2.4.2, mirage-console-xen-backend.2.4.3, mirage-console-xen-proto.2.4.0, mirage-console-xen-proto.2.4.1, mirage-console-xen-proto.2.4.2, mirage-console-xen-proto.2.4.3, mirage-console-xen.2.4.0, mirage-console-xen.2.4.1, mirage-console-xen.2.4.2, mirage-console-xen.2.4.3, mirage-console.2.4.0, mirage-console.2.4.1, mirage-console.2.4.2, mirage-console.2.4.3, mirage-device.1.2.0, mirage-dns.3.1.0, mirage-dns.3.1.1, mirage-dns.3.1.2, mirage-flow-lwt.1.6.0, mirage-flow-rawlink.1.1.0, mirage-flow-unix.1.6.0, mirage-flow.1.6.0, mirage-fs-lwt.1.2.0, mirage-fs-lwt.2.0.0, mirage-fs-mem.0.1.0, mirage-fs-unix.1.6.0, mirage-fs.1.2.0, mirage-fs.2.0.0, mirage-kv-lwt.2.0.0, mirage-kv-mem.2.0.0, mirage-kv-unix.2.0.0, mirage-kv.2.0.0, mirage-logs.1.0.0, mirage-logs.1.1.0, mirage-nat.1.2.0, mirage-net-lwt.2.0.0, mirage-net-macosx.1.5.0, mirage-net-macosx.1.6.0, mirage-net-unix.2.5.0, mirage-net-unix.2.6.0, mirage-net-xen.1.10.0, mirage-net-xen.1.10.1, mirage-net-xen.1.10.2, mirage-net-xen.1.11.0, mirage-net-xen.1.12.0, mirage-net-xen.1.9.0, mirage-net.2.0.0, mirage-profile-unix.0.9.0, mirage-profile-unix.0.9.1, mirage-profile-xen.0.9.0, mirage-profile-xen.0.9.1, mirage-profile.0.9.0, mirage-profile.0.9.1, mirage-protocols-lwt.2.0.0, mirage-protocols-lwt.3.0.0, mirage-protocols.2.0.0, mirage-protocols.3.0.0, mirage-qubes-ipv4.0.7.0, mirage-qubes.0.7.0, mirage-random-stdlib.0.0.1, mirage-random-test.0.0.1, mirage-random.1.2.0, mirage-runtime.3.3.0, mirage-runtime.3.4.0, mirage-runtime.3.4.1, mirage-runtime.3.5.0, mirage-runtime.3.5.1, mirage-stack-lwt.1.4.0, mirage-stack.1.4.0, mirage-time-lwt.1.3.0, mirage-time-unix.1.3.0, mirage-time.1.3.0, mirage-types-lwt.3.3.0, mirage-types-lwt.3.4.0, mirage-types-lwt.3.4.1, mirage-types-lwt.3.5.0, mirage-types-lwt.3.5.1, mirage-types.3.3.0, mirage-types.3.4.0, mirage-types.3.4.1, mirage-types.3.5.0, mirage-types.3.5.1, mirage-unix.3.2.0, mirage-vnetif.0.4.2, mirage.3.3.0, mirage.3.3.1, mirage.3.4.0, mirage.3.4.1, mirage.3.5.0, mirage.3.5.1, mkaudio.1.1.0, mlt_parser.v0.12.0, mmap.1.0.2, mmap.1.1.0, mmdb.0.1.0, mmdb.0.2.1, mmdb.0.3.0, molenc.0.0.1, molenc.1.0.0, molenc.1.1.0, morbig.0.10.3, morsmall.0.1, morsmall.0.2.0, moss.0.1.1, mrt-format.0.3.1, msat.0.8, mssql.1.1, mustache.3.1.0, mutf8.0.1, mwt.0.1.0, naboris.0.0.3, naboris.0.0.4, netchannel.1.10.0, netchannel.1.10.1, netchannel.1.10.2, netchannel.1.11.0, netchannel.1.12.0, netchannel.1.9.0, netsnmp.v0.12.0, nocoiner.0.0.1, noise.0.1.0, noise.0.2.0, notty_async.v0.12.0, nsq.0.4.0, nsq.0.5.0, nsq.0.5.1, obeam.0.0.3, obeam.0.0.4, obeam.0.1.0, obeam.0.1.1, obeam.0.1.2, obeam.0.1.3, obeam.0.1.4, obeam.0.1.5, obus.1.2.0, ocal.0.2.2, ocaml-compiler-libs.v0.12.0, ocaml-migrate-parsetree-ocamlbuild.1.2.0, ocaml-migrate-parsetree.1.0.11, ocaml-migrate-parsetree.1.2.0, ocaml-migrate-parsetree.1.3.0, ocaml-migrate-parsetree.1.3.0~4.08.0+beta2, ocaml-migrate-parsetree.1.3.0~4.08.0+beta3, ocaml-migrate-parsetree.1.3.1, ocaml-migrate-parsetree.1.4.0, ocaml-monadic.0.4.1, ocaml-r.0.1.1, ocaml-r.0.2.0, ocaml-version.1.0.0, ocaml-version.2.0.0, ocaml-version.2.1.0, ocaml_plugin.v0.12.0, ocamlapi.0.0.2, ocamlapi_async.0.0.2, ocamlapi_lwt_unix.0.0.2, ocamlapi_ppx.0.0.2, ocamlformat.0.10, ocamlformat.0.7, ocamlformat.0.8, ocamlformat.0.9.1, ocamlformat.0.9, ocolor.1.0, ocolor.1.1, ocolor.1.2.1, ocolor.1.2, ocp-browser.1.1.9, ocp-indent.1.7.0, ocp-index.1.1.9, ocplib-json-typed-browser.0.7.1, ocplib-json-typed-browser.0.7, ocplib-json-typed-bson.0.7.1, ocplib-json-typed-bson.0.7, ocplib-json-typed.0.7.1, ocplib-json-typed.0.7, odepack.0.6.9, odepack.0.7, odoc.1.3.0, odoc.1.4.0, odoc.1.4.1, offheap.0.1.0, offheap.0.1.1, offheap.0.1.2, olinq.0.3, opam2web.2.0, open.0.2.2, openai-gym.0.01, opencc0.1.0.2, opencc1.1.0.1, opium.0.17.0, opium.0.17.1, opium_kernel.0.17.0, opium_kernel.0.17.1, opti.1.0.3, optimization1d.0.6.1, optint.0.0.2, oranger.0.9.11, ordma.0.0.5, orewa.0.1.0, orewa.0.1.1, orewa.0.2.0, orpie.1.6.0, orrandomForest.1.0.0, orsvm_e1071.3.0.2, oseq.0.2, otr.0.3.6, owee.0.3, owl-base.0.4.0, owl-base.0.5.0, owl-ode-sundials.0.0.7, owl-ode-sundials.0.0.9, owl-ode.0.0.7, owl-ode.0.0.8, owl-ode.0.0.9, owl-plplot.0.5.0, owl-top.0.4.0, owl-top.0.5.0, owl-zoo.0.4.0, owl-zoo.0.5.0, owl.0.4.0, owl.0.5.0, owork.0.1.0, pam.v0.12.0, papi.0.1.1, parany.5.0.0, parany.5.0.1, parany.6.0.0, pardi.1.0.0, pardi.1.0.1, parse-argv.0.2.0, parsexp.v0.12.0, parsexp_io.v0.12.0, patdiff.v0.12.0, patience_diff.v0.12.0, pbkdf.1.0.0, pcap-format.0.5.2, pcre.7.3.5, pcre.7.4.0, pcre.7.4.1, pecu.0.2, pecu.0.3, petr4.0.1.1, petr4.0.1, phonetic.0.1.0, pkcs11-cli.0.18.0, pkcs11-driver.0.18.0, pkcs11-rev.0.18.0, pkcs11.0.18.0, plotkicadsch.0.4.0, plotkicadsch.0.5.0, plotkicadsch.0.5.1, pomap.4.1.0, pomap.4.1.1, posixat.v0.12.0, postgresql.4.4.1, postgresql.4.4.2, postgresql.4.5.0, ppx_assert.v0.12.0, ppx_base.v0.12.0, ppx_bench.v0.12.0, ppx_bigarray.3.0.0, ppx_bin_prot.v0.12.0, ppx_bin_prot.v0.12.1, ppx_bsx.2.0.0, ppx_compare.v0.12.0, ppx_conv_func.v0.12.0, ppx_cstruct.3.3.0, ppx_cstruct.3.4.0, ppx_cstruct.3.5.0, ppx_cstruct.3.6.0, ppx_cstruct.3.7.0, ppx_cstruct.4.0.0, ppx_cstruct.5.0.0, ppx_cstubs.0.1.0, ppx_csv_conv.v0.12.0, ppx_custom_printf.v0.12.0, ppx_custom_printf.v0.12.1, ppx_derivers.1.2.1, ppx_deriving.4.3, ppx_deriving.4.4, ppx_deriving_cmdliner.0.4.1, ppx_deriving_hardcaml.v0.12.0, ppx_deriving_yojson.3.3, ppx_deriving_yojson.3.4, ppx_deriving_yojson.3.5, ppx_enum.0.0.1, ppx_enum.0.0.2, ppx_enumerate.v0.12.0, ppx_expect.v0.12.0, ppx_factory.0.0.0, ppx_fail.v0.12.0, ppx_fast_pipe.0.0.1, ppx_fields_conv.v0.12.0, ppx_gen_rec.1.1.0, ppx_hash.v0.12.0, ppx_here.v0.12.0, ppx_import.1.5-3-gbd627d5, ppx_import.1.6.1, ppx_import.1.6.2, ppx_import.1.6, ppx_inline_test.v0.12.0, ppx_jane.v0.12.0, ppx_js_style.v0.12.0, ppx_let.v0.12.0, ppx_module_timer.v0.12.0, ppx_mysql.1.0, ppx_mysql.1.1, ppx_mysql_identity.1.0, ppx_mysql_identity.1.1, ppx_optcomp.v0.12.0, ppx_optional.v0.12.0, ppx_pipebang.v0.12.0, ppx_protocol_conv.3.1.3, ppx_protocol_conv.4.0.0, ppx_protocol_conv.5.0.0, ppx_protocol_conv_json.3.1.0, ppx_protocol_conv_json.3.1.1, ppx_protocol_conv_json.3.1.3, ppx_protocol_conv_json.4.0.0, ppx_protocol_conv_json.5.0.0, ppx_protocol_conv_jsonm.3.1.0, ppx_protocol_conv_jsonm.3.1.1, ppx_protocol_conv_jsonm.3.1.3, ppx_protocol_conv_jsonm.4.0.0, ppx_protocol_conv_jsonm.5.0.0, ppx_protocol_conv_msgpack.3.1.0, ppx_protocol_conv_msgpack.3.1.1, ppx_protocol_conv_msgpack.3.1.3, ppx_protocol_conv_msgpack.4.0.0, ppx_protocol_conv_msgpack.5.0.0, ppx_protocol_conv_xml_light.3.1.0, ppx_protocol_conv_xml_light.3.1.1, ppx_protocol_conv_xml_light.3.1.3, ppx_protocol_conv_xml_light.4.0.0, ppx_protocol_conv_xml_light.5.0.0, ppx_protocol_conv_yaml.3.1.0, ppx_protocol_conv_yaml.3.1.1, ppx_protocol_conv_yaml.3.1.3, ppx_protocol_conv_yaml.4.0.0, ppx_protocol_conv_yaml.5.0.0, ppx_regexp.0.4.0, ppx_regexp.0.4.2, ppx_relit.0.2.0, ppx_sexp_conv.v0.12.0, ppx_sexp_message.v0.12.0, ppx_sexp_value.v0.12.0, ppx_stable.v0.12.0, ppx_there.0.0.0, ppx_tools_versioned.5.2.2, ppx_tools_versioned.5.2.3, ppx_typerep_conv.v0.12.0, ppx_tyre.0.4.0, ppx_tyre.0.4.1, ppx_variants_conv.v0.12.0, ppx_xml_conv.v0.12.0, ppx_yojson.0.2.0, ppxfind.1.3, ppxlib.0.2.1, ppxlib.0.3.0, ppxlib.0.4.0, ppxlib.0.5.0, ppxlib.0.6.0, ppxlib.0.7.0, ppxlib.0.8.0, printbox.0.2, prof_spacetime.0.3.0, protocol-9p-tool.1.0.0, protocol-9p-tool.1.0.1, protocol-9p-tool.2.0.0, protocol-9p-tool.2.0.1, protocol-9p-unix.1.0.0, protocol-9p-unix.1.0.1, protocol-9p-unix.2.0.0, protocol-9p-unix.2.0.1, protocol-9p.1.0.0, protocol-9p.1.0.1, protocol-9p.2.0.0, protocol-9p.2.0.1, protocol_version_header.v0.12.0, psq.0.1.1, psq.0.2.0, py.1.1, py.1.2, randomconv.0.1.1, randomconv.0.1.2, range.0.3, range.0.4, range.0.5, range.0.6, rawlink.1.0, re.1.9.0, re2.v0.12.0, reason.3.3.5, reason.3.3.7, reason.3.4.0, record_builder.v0.12.0, reed-solomon-erasure.1.0.2, reedsolomon.0.3, relit-reason.0.0.1, relit-reason.0.0.2, relit_helper.0.2.0, res.5.0.1, resource_cache.v0.12.0, resp-client.0.9.1, resp-client.0.9, resp-mirage.0.9.1, resp-mirage.0.9, resp-server.0.9.1, resp-server.0.9, resp-unix.0.9.1, resp-unix.0.9, resp.0.9.1, resp.0.9, result.1.4, rfc1951.0.8.1, rfc1951.0.9.0, rfc7748.1.0, root1d.0.5.1, rope.0.6.2, rosetta.0.1.0, routes.0.4.0, routes.0.4.1, routes.0.5.0, rpc_parallel.v0.12.0, salsa20.1.0.0, sanddb.0.2, satyrographos.0.0.1.4, satyrographos.0.0.1.5, satyrographos.0.0.1.7, scgi.1.0, scrypt-kdf.1.0.0, sedlex.2.0, sedlex.2.1, selective.0.1.0, sequencer_table.v0.12.0, session-cohttp-async.0.4.1, session-cohttp-lwt.0.4.1, session-cohttp.0.4.1, session-postgresql-async.0.4.1, session-postgresql-lwt.0.4.1, session-postgresql.0.4.1, session-redis-lwt.0.4.1, session-webmachine.0.4.1, session.0.4.1, sexp.v0.12.0, sexp_diff_kernel.v0.12.0, sexp_macro.v0.12.0, sexp_pretty.v0.12.0, sexplib.v0.12.0, sexplib0.v0.12.0, shared-memory-ring-lwt.3.1.0, shared-memory-ring.3.1.0, shell.v0.12.0, shexp.v0.12.0, slacko.0.14.1, slacko.0.15.0, smbc.0.5, smbc.0.6, spacetime_lib.0.3.0, spawn.v0.13.0, splay_tree.v0.12.0, splittable_random.v0.12.0, spotify-web-api.0.2.1, sqlite3.4.4.1, ssl.0.5.6, ssl.0.5.7, ssl.0.5.8, stdio.v0.12.0, stdlib-shims.0.1.0, stitch.0.0.0, string_dict.v0.12.0, stringext.1.6.0, sturgeon.0.4.2, swagger.0.2.0, syndic.1.6.0, syslog-message.1.0.0, syslog-message.1.1.0, tablecloth-native.0.0.2, tablecloth-native.0.0.3, tablecloth-native.0.0.4, tablecloth-native.0.0.5, tablecloth-native.0.0.6, tar-mirage.1.0.0, tar-mirage.1.0.1, tar-mirage.1.1.0, tar-unix.1.0.0, tar-unix.1.0.1, tar-unix.1.1.0, tar.1.0.0, tar.1.0.1, tar.1.1.0, tcpip.3.7.0, tcpip.3.7.1, tcpip.3.7.2, tcpip.3.7.3, tcpip.3.7.4, tcpip.3.7.5, tcpip.3.7.6, teash.0.1.0, tensorflow.0.0.11, terminal_size.0.1.4, textrazor.0.1, textutils.v0.12.0, textutils_kernel.v0.12.0, tidy.5-0.2, time_now.v0.12.0, tip-parser.0.4, tip-parser.0.6, tldr.0.1, tldr.0.2, toml-cconv.5.0.0, toplevel_expect_test.v0.12.0, toplevel_expect_test.v0.12.1, topological_sort.v0.12.0, torch.0.1, torch.0.2, torch.0.3, torch.0.4, torch.0.5, travesty.0.1.2, travesty.0.1.3, travesty.0.2.0, travesty.0.3.0, travesty.0.5.1, travesty.0.6.0, tree_layout.0.2, tube.4.4.0, tuntap.1.7.0, tuntap.1.8.0, typerep.v0.12.0, tyxml-ppx.4.3.0, tyxml.4.3.0, ubpf.0.1, ulid.0.1, uri-sexp.3.0.0, uri.2.0.0, uri.2.1.0, uri.2.2.0, uri.2.2.1, uri.3.0.0, uritemplate.0.0.1, uritemplate.0.2.0, utop.2.3.0, utop.2.4.0, uuuu.0.1.1, variantslib.v0.12.0, vchan-unix.4.0.0, vchan-unix.4.0.1, vchan-unix.4.0.2, vchan-unix.4.0.3, vchan-xen.4.0.0, vchan-xen.4.0.1, vchan-xen.4.0.2, vchan-xen.4.0.3, vchan.4.0.0, vchan.4.0.1, vchan.4.0.2, vchan.4.0.3, vhd-format-lwt.0.12.0, vhd-format.0.12.0, virtual_dom.v0.12.0, vmnet.1.3.2, vmnet.1.3.3, vmnet.1.4.0, vmnet.1.5.0, vocal.0.1, weberizer.0.8, websocket-async.2.12, websocket-async.2.13, websocket-lwt-unix.2.13, websocket-lwt.2.12, websocket.2.12, websocket.2.13, websocketaf.0.1.0, win-error.1.0, ws.0.1, wtf8.1.0.2, x509.0.6.3, xen-evtchn-unix.2.1.0, xen-evtchn.2.1.0, xen-gnt-unix.3.1.0, xen-gnt-unix.4.0.0, xen-gnt.3.1.0, xen-gnt.4.0.0, xenstore.2.1.0, yaml.1.0.0, yaml.2.0.0, yojson.1.5.0, yojson.1.6.0, yojson.1.7.0, yurt.0.6, yuscii.0.2.0, yuscii.0.2.1, zarith-ppx.0.1, zed.2.0.1, zed.2.0.2, zed.2.0, zstandard.v0.12.0, zxcvbn.2.3+2


☀️ Installability check (+0)
@kit-ty-kate kit-ty-kate force-pushed the kit-ty-kate:dune-rm-build branch from d84fee3 to 2743e53 Jun 10, 2019
@diml diml referenced this pull request Jun 13, 2019
@kit-ty-kate kit-ty-kate reopened this Jul 12, 2019
@kit-ty-kate kit-ty-kate force-pushed the kit-ty-kate:dune-rm-build branch from 2743e53 to a31350a Jul 12, 2019
@kit-ty-kate kit-ty-kate marked this pull request as ready for review Jul 12, 2019
@kit-ty-kate

This comment has been minimized.

Copy link
Contributor Author

commented Jul 12, 2019

I'm not too sure what's wrong with the CI. Maybe the patch is too big?!

<><> Updating package repositories ><><><><><><><><><><><><><><><><><><><><><><>
[default] synchronised from git+file:///home/opam/opam-repository
[ERROR] Could not update repository "default": "/usr/bin/patch -p1 -i /home/opam/.opam/log/processed-patch-18-05296d" exited with code 1
@kit-ty-kate kit-ty-kate force-pushed the kit-ty-kate:dune-rm-build branch from a31350a to 943b688 Jul 12, 2019
@kit-ty-kate kit-ty-kate merged commit b6fe5af into ocaml:master Jul 13, 2019
0 of 7 checks passed
0 of 7 checks passed
camelus Errors for 13 packages
continuous-integration/travis-ci/pr The Travis CI build could not complete due to an error
Details
ci/datakit/1 Build 55 tasks failed
Details
ci/datakit/2 Revdeps depfail
Details
ci/datakit/3 Compilers depfail
Details
ci/datakit/4 Common Distros depfail
Details
ci/datakit/5 All Distros depfail
Details
@kit-ty-kate kit-ty-kate deleted the kit-ty-kate:dune-rm-build branch Jul 13, 2019
@kit-ty-kate

This comment has been minimized.

Copy link
Contributor Author

commented Jul 13, 2019

@ocaml/opam-repository we should now be vigilant to not merge PRs with dune flagged as build dependencies

CraigFe added a commit to CraigFe/ocaml-pcap that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/ocaml-rpc that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/ocaml-tar that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/ocaml-uri that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/ocaml-vchan that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/ocaml-vhd that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/ocaml-win-error that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/ocaml-xenstore that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/parse-argv that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/pecu that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/rosetta that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/shared-memory-ring that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/typebeat that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/uuuu that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/wodan that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/yuscii that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/yojson that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/sedlex that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/ocaml-linenoise that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/obus that referenced this pull request Oct 11, 2019
CraigFe added a commit to CraigFe/cppo that referenced this pull request Oct 11, 2019
mseri added a commit to mirage/ocaml-rpc that referenced this pull request Oct 11, 2019
Bannerets added a commit to Bannerets/camlproto that referenced this pull request Oct 11, 2019
c-cube added a commit to ocaml-community/ocaml-linenoise that referenced this pull request Oct 11, 2019
pmetzger added a commit to ocaml-community/sedlex that referenced this pull request Oct 13, 2019
pmetzger added a commit to ocaml-community/cppo that referenced this pull request Oct 13, 2019
diml added a commit to mirage/mmap that referenced this pull request Oct 14, 2019
pmetzger added a commit to ocaml-community/obus that referenced this pull request Oct 14, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.